*IDENT NSHNYCAL
*/=================================================================
*/
*/
*/  Modify Haney forcing so that data array specifies
*/    Haney coefficients for temperature as function of lat, long
*/
*/  Make sure thereis no Haney forcing for sea ice and salinity
*/
*/=================================================================
*/Common block with Haney array in
*COMDECK NSCOHNY
       REAL
     & NSHANEY(290,144)
       COMMON /COHANEY/
     & NSHANEY
*/
*/=================================================================
*/ Mods to deck <OSETCON>
*DECLARE OSETCON
*I OSETCON.33 
*/ ARGSIZE containing IMT and JMT has already been called
*CALL NSCOHNY
*I ORH1F305.150
!
! Read in 2-D Haney forcing coefficients
      OPEN(UNIT=55,file='full_path_of_your_haney_coefficients_file.txt',
     &             status='old')
!      print *,'Reading in header of haney_force.data file'
!      READ(55,*)
      print *,'Reading in Haney coefficients f7.1'
!
      READ(55,111)((NSHANEY(I,J),I=1,290),J=1,144)
 111  FORMAT(10(f7.1,1X))
      CLOSE(UNIT=55)
*/=========================================
*/  Mods to deck <HNYCAL> follow....
*DECLARE HNYCAL
*/ Meridional Index J and J_OFFSET passed from TRACER
*I HNYCAL.40
     &                J,J_OFFSET,
*I HNYCAL.66
*/ Put J and J_OFFSET (passed from TRACER) to integer list
      INTEGER
     &  J,J_OFFSET
*/ Haney array in common block
*B HNYCAL.97
*CALL NSCOHNY            !  IN Spatially varying haney term
*/
*D HNYCAL.158
         ANOM_HEAT(i) = NSHANEY(i,j+j_offset) * (T_REF(i) - T(i,1,1))
*/
*/ Set Salinity Haney forcing to zero
*D HNYCAL.165,HNYCAL.168
! Set salinity forcing to zero
         ANOM_SALT(i)=0.0
*D HNYCAL.169
         SFLUX(i) = PME(i) 
*/
*/===============================================================
*/ Mods to deck <TRACER> follow ....
*DECLARE TRACER
*I TRACER.813
*/ Pass Meridional index J and J_OFFSET to HNYCAL
     &                         J,J_OFFSET,
*/================================================================
